<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Data Drill-Down Example --->
<cfset pagename="Data Drill-Down Example">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<p>

<!---
	Now that we have a single item, we can select just that
	one record and display the full details.
--->
<cfparam name="URL.ItemID" default="">
<cfquery name="TheItem" dataSource="#Application.ExamplesDSN#">
SELECT CatAlias.strCatName, 
		ItemAlias.*
FROM tblStCat CatAlias, tblStItm ItemAlias
WHERE CatAlias.strCatID = ItemAlias.strCatIDFK
AND ItemAlias.strItmID = '#URL.ItemID#'
</cfquery>

<p>
By passing the item's ID as a URL parameter (notice the URL in your browser shows this page as 
detail.cfm?ItemID=XXXXXXX, where X is a long ID string), we are able to query the database for 
complete information about just this one item and present it.

<p>
<!--- Loop over the query results using cfoutput --->
<cfoutput query="TheItem">
#strCatName#<br>
<b>#strItmName#</b> - <i>#strTeaser#</i><br> 
(Part #strPartNum#)<br><br>
Only #DollarFormat(dblItmCost)#
<p>
#glbItmDesc#
</cfoutput>

<br><br>
<a href="index.cfm">search again</a>
<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">
