<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Data Drill-Down Example --->
<cfset pagename="Data Drill-Down Example">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">


<p>
<!---
	Use CFQUERY to get all of the store's categories.
	These will be used to populate the form's select box.
--->	
<cfquery name="Categories" dataSource="#Application.ExamplesDSN#" dbType="ODBC">
SELECT strCatID, strCatName
FROM tblStCat 
ORDER BY strCatName
</cfquery>

<p>
In this example, a select box populated by items in the database is one of the
options for users to select search criteria. The results page will list all 
matches and each one will be a hyperlink to a detail page.  If there are more 
5 results, a "prior/next" link will be created to let the user page through the 
results.

<p>Search suggestions for example data:

<ul>
	<li>For <i>Item Name</i> searches, try 'Rocket' or 'Ripper'. 
	<li>Leave <i>Item Name</i> blank and <i>Category</i> set to 'All' for 
		multiple pages
</ul>

<form action="results.cfm" method="POST">
<p>
Item Name:<input type="text" name="ItemName">
<br><br>
<p>
Category: <select name="CategoryID" size="1">
	<option value="ALL" SELECTED>All Categories</option>
	<cfoutput query="Categories">
		<option value="#strCatID#">#strCatName#</option>
	</cfoutput>
</select>

<p>
<input type="submit" value="  Submit Search  "> 
<input type="reset" value="Clear Entries">

</form>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">
