<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Data Maintenance Example --->
<cfset pagename="Data Maintenance Example">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<p>
<table width="100%">
<tr>
	<td><p><a href="#overview">Overview</a></p></td>
	<td><p><a href="#source">Source</a></p></td>
	<td><p><a href="#key">Key Tags / Functions</a></p></td>
</tr>
</table>

<hr>
<font face="Arial">
<a href="index.cfm">back</a>
<br>

<p>
<a name="overview"><br>
<h3>Overview</h3></a>
<p>
The most interesting aspect of this example is that it is accomplished with only one CFM template!  
It is a self-posting form - meaning that all of the different actions which the user may perform are handled by 
the page itself based on the existence of certain variables.
<p>
To determine which action to take, the page uses the <a href="/cfdocs/CFML_Reference/Tags99.html">cfswitch cfcase</a> 
tags.  The cfswitch tag evaluates an expression and passes control to the cfcase that matches the expression's value.  
In this case, the PageAction variable can match either "Insert," "Update," or "Delete."

<br><br><br>
<a href="#top">top</a>
<hr>

<p>
<a name="source"><br>
<h3>Source Files</h3></a>
<p>
<a href="showsource.cfm">index.cfm</a><br>
<br><br><br>
<a href="#top">top</a>
<hr>
<cfif fileexists("/cfdocs/dochome.htm")>
	<p>
	<a name="Key"><br>
	<h3>Key Tags/Functions</h3></a>
	<p>
	<a href="/cfdocs/CFML_Reference/Tags78.html">cfquery</a><br>
	<a href="/cfdocs/CFML_Reference/Tags79.html">cfqueryparam</a><br>
	<a href="/cfdocs/CFML_Reference/Tags29.html">cfform</a><br>
	<a href="/cfdocs/CFML_Reference/Tags53.html">cfinput</a><br>
	<a href="/cfdocs/CFML_Reference/Tags49.html">cfif cfelseif cfelse</a><br>
	<a href="/cfdocs/CFML_Reference/Tags99.html">cfswitch cfcase</a><br>
	<a href="/cfdocs/CFML_Reference/Functions53.html">CreateUUID()</a><br>
	<br><br><br>
	<a href="#top">top</a>
	<hr>
</cfif>


<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">
