<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- CFGRAPH Example --->
<cfset pagename="Behind the Scenes - CFGRAPH">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<p>
<table width="100%">
<tr>
	<td><p><a href="#overview">Overview</a></p></td>
	<td><p><a href="#source">Source</a></p></td>
	<td><p><a href="#key">Key Tags / Functions</a></p></td>
</tr>
</table>

<hr>
<font face="Arial">
<a href="index.cfm">back</a>
<br>
<br>

<p>
<a name="overview"><br>
<h3>Overview</h3></a>
Powered by Macromedia's Generator, the ColdFusion 5 charting engine can dynamically generate highly customizable charts and graphs in either Macromedia Flash or JPEG format.  Flash output is of a higher quality and allows zooming.  If a browser tries to view a Flash graph, the client machine must have the Flash Player installed, otherwise the user will be prompted to download and install it for free.
<p>
For the graphs, data can be drawn from nearly any source, including SQL queries, hard-coded data, and application variables or a combination thereof.  Notice in the Pie Chart example that there is an additional data point - HR.  This was added manually to the graph with the cfgraphdata tag in addition to specifying the other points from the query.
<p>
Also demonstrated here is the new cfdump tag.  This was adopted from the very popular cfa_dump tag used widely in Macromedia Spectra.  Extremely helpful for debugging, cfdump may be used to display any data; simple variables, query result sets, arrays, structures, etc.  With complex data such as arrays of structures, the fields can be expanded and collapsed by clicking on the fields.
</p>
<br><br><br>
<a href="#top">top</a>
<hr>

<p>
<a name="source"><br>
<h3>Source Files</h3></a>
<p>
<a href="showsource.cfm">index.cfm</a><br>
<br><br><br>
<a href="#top">top</a>
<hr>			 
<cfif fileexists("/cfdocs/dochome.htm")>
	<p>
	<a name="key"><br>
	<h3>Key Tags/Functions</h3></a>
	<p>
	<a href="/cfdocs/CFML_Reference/Tags36.html">cfgraph</a><br>
	<a href="/cfdocs/CFML_Reference/Tags40.html">cfgraphdata</a><br>
	<a href="/cfdocs/CFML_Reference/Tags15.html">cfdump</a>
	<br><br><br>
	<p>
	<a href="#top">top</a>
	<hr>
</cfif>

<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">

