<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Personnel Directory Example --->
<cfset pagename="Behind the Scenes - Personnel Directory">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<p>
<table width="100%">
<tr>
	<td><p><a href="#overview">Overview</a></p></td>
	<td><p><a href="#source">Source</a></p></td>
	<td><p><a href="#key">Key Tags / Functions</a></p></td>
</tr>
</table>
<p>

<hr>
<font face="Arial">
<a href="index.cfm">back</a>
<br>
<br>

<a name="overview"><br>
<h3>Overview</h3></a>
<p>
The Personnel Directory example demonstrates a basic search for individuals 
listed in an employee directory (the tblEmp table of the examples database - 
datasource name "CFX"). Users can enter a first and/or last name to search 
for, and all entries which fully or partially match the search criteria are 
returned. 
<p>
This example demonstrates basic form behavior and the use of the SQL LIKE 
operator to do 'pattern-matched' searching of text fields in a database. 
<p>
On the first page (index.cfm), a form allows the user to enter a first and/or 
last name.  Notice the TARGET attribute of the form tag.  It posts to 
results.cfm; the page where ColdFusion actually processes the request and 
queries the database.
<p>
On results.cfm, the CFQUERY tag is used to send the SQL request to the 
database.  The LIKE operator instructs the database to retrieve entries 
which are similar to the criteria entered (rather than limiting the search 
to exact matches).
<br><br><br>
<a href="#top">top</a>
<hr>

<a name="source"><br>
<h3>Source Files</h3></a>
<a href="showsource.cfm">index.cfm</a><br>
<a href="showsource.cfm#results">results.cfm</a><br>
<br><br><br>
<a href="#top">top</a>
<hr>
<cfif fileexists("/cfdocs/dochome.htm")>	 
	<a name="key"><br>
	<h3>Key Tags/Functions</h3></a>
	<a href="/cfdocs/CFML_Reference/Tags78.html">cfquery</a>
	<br><br><br>
	<a href="#top">top</a>
	<hr>
</cfif>

<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">
