<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Personnel Directory Example --->
<cfset pagename="Personnel Directory Example">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<!--- Provide field defaults --->
<cfparam name="FORM.FirstName" default="" type="string">
<cfparam name="FORM.LastName" default="" type="string">


<!-- Use a CFQUERY to find all of the records which have
     a first and/or last name which is LIKE the ones
     entered by the user. LIKE is a special SQL operator
     which does 'pattern-matched' searches. -->
<cfquery name="Employees" dataSource="#Application.ExamplesDSN#">
SELECT * FROM tblEmp 
WHERE strFname LIKE '#Form.FirstName#%' 
AND strLname LIKE '#Form.LastName#%'
</cfquery>

<p>
<!--- Recordcount is a property of all Queries.  It contains
	the total number of records returned. --->
Found <cfoutput>#Employees.Recordcount#</cfoutput> matches.	 
<p> 


<!-- Use a CFOUTPUT to loop over all of the employees 
	matching the user's search criteria.  -->
<cfoutput query="Employees">
#strFname# #strLname# - #strPhone#<br>
</cfoutput>

<p>
<a href="index.cfm">Search Again</a>

<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">
