<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Data Drill-Down Example --->
<cfset pagename="Behind the Scenes - Data Drill-Down">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<p>
<table width="100%">
<tr>
	<td><p><a href="#overview">Overview</a></p></td>
	<td><p><a href="#source">Source</a></p></td>
	<td><p><a href="#key">Key Tags / Functions</a></p></td>
</tr>
</table>

<hr>
<font face="Arial">
<a href="index.cfm">back</a>
<br>
<br>

<p>
<a name="overview"><br>
<h3>Overview</h3></a>
<p>
The Store Catalog example takes the basic search presented in the <a href="../PersonnelDirectory">Personnel Directory</a> 
one step further by displaying multiple matches to the initial search and allowing the user to "drill-down" to find more 
detail about each match.  Notice information being passed from page to page in two different ways; via a form post and 
via a URL parameter.
<p>
Also demonstrated is a technique which is a perennial favorite on the <a href="http://forums.coldfusion.com">ColdFusion 
Support Forums</a> - The "Prior/Next" link. Look at the source to use this functionality in your own applications.<br><br>
<a href="#top">top</a>
<hr>

<p>
<a name="source"><br>
<h3>Source Files</h3></a>
<p>
<a href="showsource.cfm">index.cfm</a><br>
<a href="showsource.cfm#results">results.cfm</a><br>
<a href="showsource.cfm#detail">detail.cfm</a><br>
<br><br><br>
<a href="#top">top</a>
<hr>
<cfif fileexists("/cfdocs/dochome.htm")>
	<p>
	<a name="key"><br>
	<h3>Key Tags/Functions</h3></a>
	<p>
	<a href="/cfdocs/CFML_Reference/Tags78.html">cfquery</a><br>
	<a href="/cfdocs/CFML_Reference/Tags94.html">cfset</a><br>
	<a href="/cfdocs/CFML_Reference/Tags49.html">cfif cfelse cfelseif</a><br>
	<a href="/cfdocs/CFML_Reference/Functions122.html">IsDefined()</a>
	<br><br><br>
	
	<a href="#top">top</a>

	<hr>
</cfif>
<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">
