<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Mail-To Form Example --->
<cfset pagename="Behind the Scenes - Mail-To Form">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<p>
<table width="100%">
<tr>
	<td><p><a href="#overview">Overview</a></p></td>
	<td><p><a href="#source">Source</a></p></td>
	<td><p><a href="#key">Key Tags / Functions</a></p></td>
</tr>
</table>

<hr>
<font face="Arial">
<a href="index.cfm">back</a>
<br>
<p>

<a name="overview"><br>
<h3>Overview</h3>
<p>
The Mail-to Form Sample introduces both client-side (CFFORM) and server-side (UDF) 
data validation and automatically sending email with the CFMAIL tag.  
<p>
Rather than writing Javascript to check that the contents of a form are properly 
filled-out, CFFORM handles the validations automatically.  Once the form is 
submitted, a UDF called IsEmail verifies that the user entered a valid email address.
<p>
Sending email from a web application is very common and is made very simple with the 
CFMAIL tag.  In addition to sending form data via email, as demonstrated here, you 
can also send other types of dynamic information like database query results.
<br><br><br>
<a href="#top">top</a>
<hr>

<a name="source"><br>
<h3>Source Files</h3></a>
<p>
<a href="showsource.cfm">index.cfm</a><br>
<a href="showsource.cfm#results">results.cfm</a><br>
<br><br><br>
<a href="#top">top</a>
<hr>
<cfif fileexists("/cfdocs/dochome.htm")>
	<a name="key"><br>
	<h3>Key Tags/Functions</h3>
	<p>
	<a href="/cfdocs/CFML_Reference/Tags29.html">cfform</a><br>
	<a href="/cfdocs/CFML_Reference/Tags53.html">cfmail</a>
	<br><br><br>
	<a href="#top">top</a>
	<hr>
</cfif>

<br><br>

<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">