<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Mail-To Form Example --->
<cfset pagename="Mail-To Form Example">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<!---
	CFFORM allows the use of special CF versions of common form
	elements such as text inputs and select boxes as well as 
	special Java controls like sliders and the powerful CFGRID.
--->
<p>
Many applications send email automatically; for purchase receipts, feedback 
submissions, newsletters and other mass mailings, etc.  In this example, 
we introduce the CFMAIL tag to email the contents of a user-completed form.  
Also used are two methods of data validation; automatic client-side validation 
using CFFORM controls, and server side validation using a User Defined Function 
(UDF), a new feature of ColdFusion 5.

<p>
<cfform action="Results.cfm" method="POST" >
<b class="text">Sign-up for our Newsletter!</b>
<br><br>
<table>
<tr>
	<td><p>Last Name</p></td>
	<td>
<!---
	CFINPUTs provide automatic client-side validation.  In this 
	case, we require the user to enter their name and prompt
	them with a message if they omit it.
--->	
	<cfinput type="Text" name="LastName" message="Please enter your last name..." required="Yes"></td>
</tr>
<tr>
	<td><p>First Name</p></td>
	<td><cfinput type="Text" name="FirstName" message="Please enter your first name..." required="Yes"></td>
</tr>
<tr>
	<td><p>Email</p></td>
	<td><input type="text" name="email"></td>
</tr>
<tr>
	<td valign="top"><p>Interests</p></td>
	<td>
		<p>Please select as many as you wish...</p>
		<table>
		<tr>
			<td><p>Reading</p></td>
			<td><input type="checkbox" name="Interests" value="Reading"></td>
			<td><p>Gardening</p></td>
			<td><input type="checkbox" name="Interests" value="Gardening"></td>
		</tr>
		<tr>
			<td><p>Music</p></td>
			<td><input type="checkbox" name="Interests" value="Gardening"></td>
			<td><p>Sports</p></td>
			<td><input type="checkbox" name="Interests" value="Sports"></td>
		</tr>
		<tr>
			<td><p>Health</p></td>
			<td><input type="checkbox" name="Interests" value="Health"></td>
			<td><p>Computers</p></td>
			<td><input type="checkbox" name="Interests" value="Computers"></td>
		</tr>
		</table>
	</td>
</tr>
</table>

<p>
<input type="submit" value="  Signup!  "> 
<input type="reset" value="Clear Entries">

</cfform>
<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">
