<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Mail-To Form Example --->
<cfset pagename="Mail-To Form Example">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<!---
	The following block of CFSCRIPT contains a User Defined
	Funcion (UDF).  This is a powerful new feature of 
	ColdFusion 5.  See the "Temperature Converter" example for
	more information on UDF's.
	
	This particular UDF checks to see that an email address is
	formatted properly.  It comes from an open source community
	function library project called the Common Function Library
	Project (CFLP).  Visit http://www.cflib.org for more
	on this effort. 
--->
<cfscript>
//IsEmail(address)
//Returns if a str is a valid email
//Nathan Dintenfass (nathan@changemedia.com) - March 20, 2001
//Joel Mueller provided the regex
function IsEmail(address) {
	if(REFindNoCase("[[:alnum:]_\.\-]+@([[:alnum:]_\.\-]+\.)+[[:alpha:]]{2,4}",address)) return TRUE;
	else return FALSE;
}
</cfscript>

<cfparam name="FORM.Email" default="">

<cfif not IsEmail(Form.email)>
	<p>
	The UDF found that the Email address was not valid.  Prompt	the user to go back and correct it.
	<p>
	<!---
		The UDF found that the Email address was not valid.  Prompt
		the user to go back and correct it.
	--->
	Sorry, that email address is not valid.  Please <a href="javascript:history.back();">try again</a>.
<cfelse>
	<!---
		The UDF found that the Email address was valid.  
		Now use CFMAIL to send the newsletter administrator a 
		request to add this person to the list.
		
		CFMAIL requires a mail server to be identified in the CF 
		Administrator, so for this example, the actual CFMAIL tag
		is commented out.
	--->
	<p>
	Both the client-side (CFFORM) and server-side (UDF) validation are complete.  
	Now, the email would be sent to the mailing list administrator.  
	<p>
	<!--- this would be un-commented for production...
	
	<cfmail to="ListAdministrator@yourcompany.com"
	        from="#Form.Email#"
	        subject="New Subscriber"
	        groupcasesensitive="Yes">
	Hello!  I would like subscribe to your newsletter.
	
	My name is #Form.FirstName# #Form.LastName# (#Form.Email#).
	<cfif IsDefined("Form.Interests")>
	My Interests are #Form.Interests#
	</cfif>
	Thanks!
	
	</cfmail>
	
	--->
	
	<br>
	<p>Thanks for signing up for our Newsletter, <cfoutput>#Form.FirstName#.<br><br>
	Your information has been forwarded as follows:
	
	#Form.FirstName# #Form.LastName# (#Form.Email#)<br>
	<cfif IsDefined("Form.Interests")>
		And you are interested in #Form.Interests#
	</cfif>
	<br><br>
	</cfoutput>
	You will receive your first issue in 4-6 weeks.
</cfif>
<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">