<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Mailing List Union Example --->
<cfset pagename="Behind the Scenes - Query of Query">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<p>
<table width="100%">
<tr>
	<td><p><a href="#overview">Overview</a></p></td>
	<td><p><a href="#source">Source</a></p></td>
	<td><p><a href="#key">Key Tags / Functions</a></p></td>
</tr>
</table>
<p>
<hr>
<font face="Arial">
<a href="index.cfm">back</a>
<br>
<br>

<font face="Arial">
<a name="overview">
<h3>Overview</h3></a>
With query of queries, a cfquery tag can now use an existing query result set as its datasource.  In this example, get_parks, the source query for the page, is on the page itself.  Using ColdFusion's application framework, this query could be stored in application or session variables and thus be accessed in the same way throughout the entire application.
<p>
Query of queries can also allow the joining of heterogeneous data sources into single query datasets.  See the "<a href="/cfdocs/Developing_ColdFusion_Applications/contents.htm">Developing ColdFusion Applications</a>" book in your ColdFusion documnetation for a more detailed investigation of this powerful new feature.
<br><br><br>
<a href="#top">top</a>
<hr>

<a name="source"><br>
<h3>Source Files</h3></a>
<a href="showsource.cfm">index.cfm</a><br>
<br><br><br>
<a href="#top">top</a>
<hr>			 
<cfif fileexists("/cfdocs/dochome.htm")>
	<a name="key"><br>
	<h3>Key Tags/Functions</h3></a>
	<a href="/cfdocs/Developing_ColdFusion_Applications/queryDB11.html">Query of Queries</a>
	<br><br><br>
	<a href="#top">top</a>
	<hr>
</cfif>

</font>
<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">