<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- User Defined Functions Example --->
<cfset pagename="Behind the Scenes - Temperature Conversion UDF Example">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<p>
<table width="100%">
<tr>
	<td><p><a href="#overview">Overview</a></p></td>
	<td><p><a href="#source">Source</a></p></td>
	<td><p><a href="#key">Key Tags / Functions</a></p></td>
</tr>
</table>

<hr>
<font face="Arial">
<a href="index.cfm">back</a>
<br>
<br>

<a name="overview"><br>
<h3>Overview</h3></a>
<p>
UDF's are defined inside CFSCRIPT blocks.  This definition needs to be either in the same template as a call to it (even if it is after the call - for best practices, though, try to keep definitions together above the call) or in a template which was included (either with cfinclude or through the application framework) before the call.  You then use the function anywhere that you could use a ColdFusion expression, such as in tag attributes, between # signs in output, and in CFSCRIPT code.
<p>
The definition of a UDF uses regular CFSCRIPT code plus two new statements; var and return. Var (used as Var variableName = InitialValue;) declares a variable local to the function.  Return (used as Return expression;) returns the specified value to the processing page and terminates processing in the function.  The syntax for defining the function itself is:
</font>


<pre>function functionName( [paramName1[, paramname2...]] ) 
{ 
	CFScript Statements 
}</pre>

<p>
Notice also that, after posting the form, the form fields (the temperature in the text box and the selected radio button) display the values that the user entered.  This is accomplished automatically with the new CFFORM attribute preserveData="yes."<br>

<br><br><br>
<a href="#top">top</a>
<hr>

<p>
<a name="source"><br>
<h3>Source Files</h3></a>
<p>
<a href="showsource.cfm">index.cfm</a><br>
<br><br><br>
<a href="#top">top</a>
<hr>			 
<cfif fileexists("/cfdocs/dochome.htm")>
	<p>
	<a name="Key"><br>
	<h3>Key Tags/Functions</h3></a>
	<p>
	<a href="/cfdocs/CFML_Reference/Tags29.html">cfform</a><br>
	<a href="/cfdocs/Developing_ColdFusion_Applications/CFScript5.html">UDF</a>
	<br><br><br>
	<a href="#top">top</a>
	<hr>
</cfif>

</font>
<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">